obex_irda_intf_t Struct Reference

IrDA-specific OBEX interface information. More...

`#include <obex_const.h>`

## Data Fields

uint32_t | local
| Address of local interface. More...
uint32_t | remote
| Address of remote device. More...
char * | info
| Description. More...
uint8_t | charset
| Charset used for description. More...
uint8_t | hints [2]
| Hint bits. More...
const char * | service
| service selector, filled by application, "OBEX" if NULL More...

## Detailed Description

IrDA-specific OBEX interface information.

## Field Documentation

## charset

uint8_t obex_irda_intf_t::charset

Charset used for description.

## hints

uint8_t obex_irda_intf_t::hints[2]

Hint bits.

## info

char* obex_irda_intf_t::info

Description.

## local

uint32_t obex_irda_intf_t::local

Address of local interface.

## remote

uint32_t obex_irda_intf_t::remote

Address of remote device.

## service

const char* obex_irda_intf_t::service

service selector, filled by application, "OBEX" if NULL

The documentation for this struct was generated from the following file:

- obex_const.h